import request from '@/utils/request'

// 我的待办列表
export function A_myTodoList(query) {
  return request({
    url: '/approval/audit/todoList',
    method: 'get',
    params: query
  })
}

// 我的已办列表
export function A_myDoneList(query) {
  return request({
    url: '/approval/audit/doneList',
    method: 'get',
    params: query
  })
}

// 审批历史列表
export function A_auditHistoryList(id, query) {
  return request({
    url: '/approval/audit/historyList/' + id,
    method: 'get',
    params: query
  })
}

// 获取后台流程图地址
export function A_pipelineImageUrl(no, format = 'png') {
  return `/approval/audit/pipeline/${no}.${format}`;
}

// 审批状态列表
export function A_pipelineState(no) {
  return request({
    url: '/approval/audit/pipelineState/' + no,
    method: 'get',
  })
}

// 审批批次列表
export function A_auditBatchList(no) {
  return request({
    url: '/approval/audit/auditBatchList/' + no,
    method: 'get',
  })
}

// 审批历史详情
export function A_auditHistoryDetail(id, parms) {
  return request({
    url: '/approval/audit/history/' + id,
    method: 'get',
    params: parms,
  })
}

// 审批
export function A_audit(data) {
  return request({
    url: '/approval/audit/audit',
    method: 'post',
    data: data,
  })
}

// 提交
export function A_start(data) {
  return request({
    url: '/open/home/mobile/start',
    method: 'post',
    data: data,
  })
}
