import request from '@/utils/request'

// 查询有偿收费明细列表
export function listYcsysfmx(query) {
  return request({
    url: '/home/ycsysfmx/list',
    method: 'get',
    params: query
  })
}

// 统计查询有偿收费明细列表
export function statisticYcsysfmx(query) {
  return request({
    url: '/home/ycsysfmx/statistic',
    method: 'get',
    params: query
  })
}

// 导出有偿收费明细
export function exportYcsysfmx(query) {
  return request({
    url: '/home/ycsysfmx/export',
    method: 'get',
    params: query
  })
}

// 查询有偿收费明细详细
export function getYcsysfmx(id) {
  return request({
    url: '/home/ycsysfmx/get/' + id,
    method: 'get',
    params: arguments[1] || {}
  })
}

// 新增有偿收费明细
export function addYcsysfmx(data) {
  return request({
    url: '/home/ycsysfmx/add',
    method: 'post',
    data: data
  })
}

// 修改有偿收费明细
export function updateYcsysfmx(data) {
  return request({
    url: '/home/ycsysfmx/edit',
    method: 'post',
    data: data
  })
}

// 删除有偿收费明细
export function delYcsysfmx(id) {
  return request({
    url: '/home/ycsysfmx/remove/' + id,
    method: 'get'
  })
}

